Bug #17476

Upgrade Rails and gems to latest patch release for CVEs

Added by Peter Amstutz 7 months ago. Updated 7 months ago.

Status:
Resolved
Priority:
Normal
Assigned To:
Category:
-
Target version:
Start date:
03/19/2021
Due date:
% Done:

100%

Estimated time:
(Total: 0.00 h)
Story points:
-

Subtasks

Task #17480: Review 17476-railsapi-security-updatesResolvedWard Vandewege

Associated revisions

Revision fc52bf36
Added by Lucas Di Pentima 7 months ago

Merge branch '17476-railsapi-security-updates'
Closes #17476

Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <>

History

#1 Updated by Peter Amstutz 7 months ago

  • Status changed from New to In Progress

#2 Updated by Peter Amstutz 7 months ago

  • Status changed from In Progress to New

#3 Updated by Lucas Di Pentima 7 months ago

  • Assigned To set to Lucas Di Pentima

#4 Updated by Peter Amstutz 7 months ago

  • Subject changed from Upgrade rails to latest patch release to Upgrade Rails and gems to latest patch release for CVEs

#5 Updated by Lucas Di Pentima 7 months ago

  • Status changed from New to In Progress

#6 Updated by Lucas Di Pentima 7 months ago

Upgraded rails gem and its dependencies at ab6f6e2ac - branch 17476-railsapi-security-updates
Test run: https://ci.arvados.org/job/developer-run-tests/2383/
WB integration tests retry: https://ci.arvados.org/job/developer-run-tests-apps-workbench-integration/2519/

#7 Updated by Ward Vandewege 7 months ago

Lucas Di Pentima wrote:

Upgraded rails gem and its dependencies at ab6f6e2ac - branch 17476-railsapi-security-updates
Test run: https://ci.arvados.org/job/developer-run-tests/2383/
WB integration tests retry: https://ci.arvados.org/job/developer-run-tests-apps-workbench-integration/2519/

LGTM, thanks!

#8 Updated by Anonymous 7 months ago

  • Status changed from In Progress to Resolved

Also available in: Atom PDF